<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>activity-a.html</title>
</head>
<body>
<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
<hr>
<h1>Software Engineering Code of Ethics and <br>Professional Practice</h1>
<h3>IEEE-CS/ACM Joint task Force on Software Engineering Ethics and Professional Practices</h3>
<hr>
<p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>

<h3>PREAMBLE</h3>
<p>The short version of the code summarize aspirations at a hight level of abstraction. The clauses that are included in the full version gives example and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistics and tedious; without the details, the aspirations can become high-sounding but empty, together the aspirations and the details form of cohesive code.<br>
Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:
</p>

<h3>PRINCIPLES</h3>
<ol>
	<li><em>Public.</em> Software engineers shall act consistently with the puclic interest.</li>
	<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, cocsistent with the public interest.</li>
	<li><em>Products. </em>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.
	<li><em>Judgement. </em>Software engineers shall maintain integrity and independence in their professional judgement.</li>
	<li><em>Management.</em> Software engineeting managers and leaders shall subscribe and promote an ethical approach to the management of software development maintenance.</li>
	<li><em>Profession.</em> Software engineers shall advance the integrity and repuratoin of the profession consistent with the public interest.</li>
	<li><em>Colleagues.</em> Software engineers shall be fair to anf supportive of their colleagues.</li>
	<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding practice of their profession and shall promote an ethical approach to the practice of the profession</li>
</ol>
</body>
</html>